[Overview][Types][Classes][Variables][Index] | Reference for unit 'Printers' (#lcl)

# TPrinter.Create

Constructor for the class instance.

## Declaration

Source position: printers.pas line 308

`public constructor TPrinter.Create; virtual;`

## Description

Create is the constructor for the class instance, and calls the inherited constructor on entry.

Create sets the value in PrinterIndex to -1 which indicates that the default printer in Printers should be used.

Create stores an unassigned value (Nil) in the Canvas, PaperSize, and Bins properties. The Title property is set to an empty String ('').

Remark: | TPrinter is an abstract base class, and an exception is raised if an instance of the class is created. Use one of the descendant classes defined in the printer4lazarus package.

## Errors

Raises an exception with the message 'TPrinter is an abstract base class.' when TPrinter is the ClassType for the new instance.